package flightprepcheck

import "context"

type Service interface {
	InitializeChecks(ctx context.Context, flightInspectionID []byte) (int, error)
	GetByFlightInspection(ctx context.Context, flightInspectionID []byte) (*FlightPrepCheck, error)
	UpdateCheck(ctx context.Context, checkID []byte, req *UpsertRequest) (*FlightPrepCheck, error)
	UpsertByFlightInspection(ctx context.Context, flightInspectionID []byte, req *UpsertRequest) (*FlightPrepCheck, error)
}
